SimpleSecurityContextProvider (Spring Framework 3.2.1.RELEASE API)
Date: 2013-01-24

org.springframework.beans.factory.support

## Class SimpleSecurityContextProvider

- java.lang.Object
- - org.springframework.beans.factory.support.SimpleSecurityContextProvider

- All Implemented Interfaces:
    SecurityContextProvider

      public class SimpleSecurityContextProvider
      extends Object
      implements SecurityContextProvider

  Simple `SecurityContextProvider` implementation.
  Since:
    3.0
  Author:
    Costin Leau

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `SimpleSecurityContextProvider()` Construct a new `SimpleSecurityContextProvider` instance.
    `SimpleSecurityContextProvider(AccessControlContext acc)` Construct a new `SimpleSecurityContextProvider` instance.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `AccessControlContext` | `getAccessControlContext()` Provides a security access control context relevant to a bean factory.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### SimpleSecurityContextProvider

          public SimpleSecurityContextProvider()

      Construct a new `SimpleSecurityContextProvider` instance.

      The security context will be retrieved on each call from the current thread.

    - #### SimpleSecurityContextProvider

          public SimpleSecurityContextProvider(AccessControlContext acc)

      Construct a new `SimpleSecurityContextProvider` instance.

      If the given control context is null, the security context will be retrieved on each call from the current thread.

      Parameters:
        `acc` - access control context (can be `null`)
      See Also:
        `AccessController.getContext()`

  - ### Method Detail

    - #### getAccessControlContext

          public AccessControlContext getAccessControlContext()

      Description copied from interface: `SecurityContextProvider`
      Provides a security access control context relevant to a bean factory.
      Specified by:
        `getAccessControlContext` in interface `SecurityContextProvider`
      Returns:
        bean factory security control context